summaryrefslogtreecommitdiffstats
path: root/gnu/usr.bin/grep/tests/empty.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gnu/usr.bin/grep/tests/empty.sh')
-rwxr-xr-xgnu/usr.bin/grep/tests/empty.sh41
1 files changed, 22 insertions, 19 deletions
diff --git a/gnu/usr.bin/grep/tests/empty.sh b/gnu/usr.bin/grep/tests/empty.sh
index 8c75196..d4225fe 100755
--- a/gnu/usr.bin/grep/tests/empty.sh
+++ b/gnu/usr.bin/grep/tests/empty.sh
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
# test that the empty file means no pattern
# and an empty pattern means match all.
@@ -6,25 +6,28 @@
failures=0
-# should return 0 found a match
-echo "abcd" | ${GREP} -E -e '' > /dev/null 2>&1
-if test $? -ne 0 ; then
- echo "Status: Wrong status code, test \#1 failed"
- failures=1
-fi
+for options in '-E' '-E -w' '-F -x' '-G -w -x'; do
-# should return 1 found no match
-echo "abcd" | ${GREP} -E -f /dev/null > /dev/null 2>&1
-if test $? -ne 1 ; then
- echo "Status: Wrong status code, test \#2 failed"
- failures=1
-fi
+ # should return 0 found a match
+ echo "" | ${GREP} $options -e '' > /dev/null 2>&1
+ if test $? -ne 0 ; then
+ echo "Status: Wrong status code, test \#1 failed ($options)"
+ failures=1
+ fi
-# should return 0 found a match
-echo "abcd" | ${GREP} -E -f /dev/null -e "abc" > /dev/null 2>&1
-if test $? -ne 0 ; then
- echo "Status: Wrong status code, test \#3 failed"
- failures=1
-fi
+ # should return 1 found no match
+ echo "abcd" | ${GREP} $options -f /dev/null > /dev/null 2>&1
+ if test $? -ne 1 ; then
+ echo "Status: Wrong status code, test \#2 failed ($options)"
+ failures=1
+ fi
+
+ # should return 0 found a match
+ echo "abcd" | ${GREP} $options -f /dev/null -e "abcd" > /dev/null 2>&1
+ if test $? -ne 0 ; then
+ echo "Status: Wrong status code, test \#3 failed ($options)"
+ failures=1
+ fi
+done
exit $failures
OpenPOWER on IntegriCloud